using System;
using System.Collections.Generic;
using System.Data;
namespace Stat.IDAL
{
    public interface IUsers
    {

        Int32 GetTotalitUser();
        Int32 CheckUserName(string uName);

        DataTable GetList(string key);

        bool Add(Model.Users model);
        bool Edit(Model.Users model);
        bool EditPWD(Model.Users model);
        bool Delete(string Userid);
        bool EditPower(Model.Users model);

        /// <summary>
        /// 检索用户分页
        /// </summary>
        /// <param name="userModel"></param>
        /// <param name="pageInfo"></param>
        /// <returns></returns>
        IList<Model.Users> Get(Model.Users userModel, ref Model.PageInfo pageInfo);
        /// <summary>
        ///按用户ID 获取用户信息
        /// </summary>
        /// <param name="uid"></param>
        /// <returns></returns>
        Model.Users GetUserInfo(int uid);
        /// <summary>
        /// 按用户名称获取该用户信息
        /// </summary>
        /// <param name="userName">用户名称</param>
        /// <returns></returns>
        Model.Users Get(string userName);
    }
}
